Retrieve by podCopy Pageget https://offsite-discovery.cnstrc.com/v1/recommendations/pods/{pod_id}Retrieves AI-optimized recommendation results for products by pod identifier for use in Offsite Discovery.Path Paramspod_idstringrequiredThe unique identifier of the recommendation pod containing the product set.Query Paramskeystringrequiredlength between 1 and 100The key of the index to use.campaign_idstringrequiredEmail campaign identifier for tracking and analytics.item_idSeed item ID used for item-based recommendations (e.g., complementary).arraystringItem ID array of stringsfiltersFacet filters to apply to the recommendation request. Allows for complex filtering with multiple values per attribute. Example: &filters[brand]=AwesomeBrand&filters[category]=Shoes&filters[category]=BootsObject 1Object 2Filters objectfilter_namestringName of the product attribute to filter by (e.g., brand, category, color). Must be provided together with filter_value.filter_valuestringValue to filter the specified attribute by. Must be provided together with filter_name.num_resultsinteger1 to 100Defaults to 10Number of results requested. For Offsite Discovery recommendations, this is the number to return. For snippet requests, this defines the expected number of results that were available. Default is 10.uistringUnique identifier for the user to personalize recommendation results.Responses 200OK. A list of recommended products. 400Bad Request - Invalid syntax or missing required parameters. 404Not Found - The requested pod ID or resource could not be found. 500Internal Server Error - An unexpected error occurred on the server.Updated 8 days ago